We use cookies to ensure that we give you the best experience on our website. Visit our Privacy Policy to learn more. If you continue to use this site, we will assume that you are okay with it.

Your choices regarding cookies on this site.
Your preferences have been updated.
In order for the changes to take effect completely please clear your browser cookies and cache. Then reload the page.

Werk #7426: mk_postgres: fix the version detection when using an MK_CONFFILE

ComponentChecks & Agents
Titlemk_postgres: fix the version detection when using an MK_CONFFILE
Date2019-06-17 15:16:18
Checkmk EditionCheckmk Raw Edition (CRE)
Checkmk Version1.6.0b3,1.7.0i1,1.5.0p19
LevelTrivial Change
ClassBug Fix
CompatibilityIncompatible - Manual interaction might be required

Since version 1.5.0p17 the version detection fails if an MK_CONFFILE is used and the psql binary cannot be found in the PATH. To resolve the issue the fixed version of the mk_postgres plugin has to be deployed on the affected hosts.